import * as React from 'react';
import { render, screen } from '@testing-library/react';
import '@testing-library/jest-dom';
import BlButton from './Button';

// Preparing component for rendering

const props = {
  children: 'Button text',
};

const Accordion = <BlButton {...props} />;

// Tests

test('Button gets rendered as expected and has text', async () => {
  render(Accordion);

  expect(screen.getByText(props.children)).toBeInTheDocument();
});

test('Button gets loader if isLoading is true', async () => {
  const { container } = render(<BlButton {...props} isLoading />);

  const loader = container.querySelector('.bl-loader');

  expect(loader).toBeInTheDocument();
});
