import * as React from 'react';
import { render, screen } from '@testing-library/react';
import '@testing-library/jest-dom';
import BlFooter from './Footer';

// Preparing component for rendering

const linkTextExample = 'A link here';

const props = {
  children: 'Footer content',
  title: 'Footer title',
  rightContent: (
    <ul>
      <li className="bl-p-b-4-xs bl-p-b-1-s">
        <a className="bl-link" href="#">
          {linkTextExample}
        </a>
      </li>
      <li className="bl-p-b-4-xs bl-p-b-1-s">
        <a className="bl-link" href="#">
          Another here
        </a>
      </li>
      <li className="bl-p-b-4-xs bl-p-b-1-s">
        <a className="bl-link" href="#">
          One more here
        </a>
      </li>
    </ul>
  ),
  leftContent: 'Left content',
};

const Footer = <BlFooter {...props} />;

// Tests

test('Footer gets rendered as expected and has title and body text', async () => {
  render(Footer);

  expect(screen.getByText(props.title)).toBeInTheDocument();
  expect(screen.getByText(props.children)).toBeInTheDocument();
});

test('Footer link exists', async () => {
  render(Footer);

  expect(screen.getByText(linkTextExample)).toBeInTheDocument();
});
