import * as React from 'react';
import { render, screen } from '@testing-library/react';
import '@testing-library/jest-dom';
import BlInfoBox from './InfoBox';

// Preparing component for rendering

type State = 'info' | 'success' | 'warning' | 'error';

const state: State = 'error';

const props = {
  children: 'InfoBox content',
  header: 'InfoBox title',
  state,
};

const InfoBox = <BlInfoBox {...props} />;

// Tests

test('InfoBox gets rendered as expected and has header and body text', async () => {
  render(InfoBox);

  expect(screen.getByText(props.header)).toBeInTheDocument();
  expect(screen.getByText(props.children)).toBeInTheDocument();
});

test('InfoBox gets correct icon', async () => {
  const { container } = render(InfoBox);

  expect(
    container.querySelector(`.bl-icon--${props.state}`),
  ).toBeInTheDocument();
});
