import * as React from 'react';
import { render } from '@testing-library/react';
import '@testing-library/jest-dom';
import BlLogo from './Logo';

// Preparing component for rendering

const props = {
  color: '#ABC9BA',
  width: 100,
};

const Logo = <BlLogo {...props} />;

// Tests

test('Logo gets rendered as expected and has the correct width', async () => {
  const { container } = render(Logo);

  expect(container.querySelector('svg')).toHaveAttribute(
    'width',
    props.width.toString(),
  );
});
