import React from 'react';
import { render, screen } from '@testing-library/react';
import { vi } from 'vitest';
import BlMenuButton from './MenuButton';

const props = {
  isActive: true,
  langActive: 'Close',
  langActiveHint: 'Close menu',
  onClick: vi.fn(),
};

const MenuButton = <BlMenuButton {...props} />;

test('MenuButton is rendered as expected and has the correct text and title', () => {
  render(MenuButton);

  const closeButton = screen.getByRole('button');

  expect(closeButton).toBeInTheDocument();
  expect(closeButton.title).toBe(props.langActiveHint);
  expect(closeButton.textContent).toBe(props.langActive);
});
