import * as React from 'react';
import { render, screen } from '@testing-library/react';
import '@testing-library/jest-dom';
import BlValidation from './Validation';

// Preparing component for rendering

type State = 'info' | 'success' | 'warning' | 'error';

const state: State = 'error';

const props = {
  children: 'Validation text',
  state,
};

const Validation = (
  <BlValidation state={props.state}>{props.children}</BlValidation>
);

// Tests

test('Validation gets rendered as expected and has text', async () => {
  render(Validation);

  expect(screen.getByText(props.children)).toBeInTheDocument();
});

test('Validation correct state class', async () => {
  const { container } = render(Validation);

  expect(container.querySelector('.bl-validation--error')).toBeInTheDocument();
});
