// function to generate unique id string
const makeUniqueId = () => {
  return Math.random().toString(36).substring(7);
};

// Function to generate class string from array of strings and/or expressions
const getClassString = (...args: (string | boolean)[]) =>
  args.filter((item) => item).join(' ');

/* Function to scroll to a specific position on the page
 * that takes an optional callback to fire after the scroll is complete
 */
const smoothScrollTo = ({
  top,
  callback,
}: {
  top: number;
  callback?: () => void;
}) => {
  if (!window) return;
  const fixedOffset = top.toFixed();
  const onScroll = () => {
    if (window.pageYOffset?.toFixed() === fixedOffset && callback) {
      window.removeEventListener('scroll', onScroll);
      callback();
    }
  };

  window.addEventListener('scroll', onScroll);
  onScroll();
  window.scrollTo({
    top,
    behavior: 'smooth',
  });
};

export { makeUniqueId, getClassString, smoothScrollTo };
